Linux drivers for Canon LBP2900, 3000, 3200 available

Linux drivers for Canon LBP2900, 3000, 3200 available

If you use Linux and have a Canon LBP2900, 3000 or 3200 printer, you couldn't possibly not notice that the official drivers are a bit on the ageing side, to put it politely. After a bit of reverse engineering new open source drivers are available for those brave of you.

The drivers presumably also support the following similar devices:

  • i-SENSYS LBP-2900
  • i-SENSYS LBP3000
  • Laser Shot LBP-1120
  • Laser Shot LBP-1210
  • Laser Shot LBP2900
  • LaserShot LBP3000
  • Laser Shot LBP3300
  • LBP-3200
  • LBP5000
  • LBP5100
  • LBP5300

If you have some spare time on your hands and, above all, compilation skills, don't hesitate to fetch code from SVN, give it a go and report to developers.

Was it useful? There's more:

0 Responses. Comments closed for this entry.